2

Views Slideshow on Drupal 8 gives me all kinds of 404 errors loading the js files. Missing files:

/libraries/jquery.cycle/jquery.cycle.all.js?v=3.0.3
/libraries/jquery.hoverIntent/jquery.hoverIntent.js?v=1.9
/libraries/json2/json2.js?v=2

Isn't the module supposed to take care of these dependencies?

Any tips on how to solve it?

2 Answers 2

6

Only downloading this module does not work. It has dependencies. You have not installed the required JS filed which required by module. Those all are dependencies and required by module to work properly. Here is the step wise procedure for installing Views slideshow properly for D8.

In the procedure steps, if you read 4th step it states that,

  1. Download the latest version of the jQuery Cycle plugin place it inside the jquery.cycle directory. The filename should be: jquery.cycle.all.js

This is just example, follow all the steps properly then only this module will work properly.

2
  • Thanks! Will check it out. The thing that struck me as well is that the error messages above seem to be a D7 directory structure.
    – Pim
    Oct 12, 2016 at 16:11
  • 1
    Whatever error it is showing they are correct, they are as per D8 and it is right errors. D7 error does not starts with /libraries/........., for this D7 errors will show like sites/all/libraries.....
    – CodeNext
    Oct 12, 2016 at 16:17
2

The dependencies are listed here with links: https://www.drupal.org/node/2563071. Hoverintent caused difficulties for me if memory serves me right - there is no library folder - I avoided using the setting.

The flexslider module is also a very good module to use for images. Both used here, for example: https://www.aucklandhotel.co.uk/rooms The testimonials use views slideshow.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.